# Generated from codebreaker_vk_vitaliy-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name codebreaker_vk_vitaliy

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Codebreaker game through user interaction
License: MIT
URL: https://github.com/vitalyk/codebreaker_vk_vitaliy
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.6
# BuildRequires: rubygem(fasterer) >= 0.8.3
# BuildRequires: rubygem(fasterer) < 0.9
# BuildRequires: rubygem(pry) >= 0.13.1
# BuildRequires: rubygem(pry) < 0.14
# BuildRequires: rubygem(rspec) >= 3.9
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec_junit_formatter) >= 0.4.1
# BuildRequires: rubygem(rspec_junit_formatter) < 0.5
# BuildRequires: rubygem(rubocop) >= 0.87.1
# BuildRequires: rubygem(rubocop) < 0.88
# BuildRequires: rubygem(rubocop-rspec) >= 1.42
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(simplecov) >= 0.18.5
# BuildRequires: rubygem(simplecov) < 0.19
BuildArch: noarch

%description
Codebreaker game through user interaction.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%{gem_instdir}/.fasterer.yml
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.overcommit.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/codebreaker.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
